<?xml version="1.0" encoding="UTF-8"?>
<!--UNCLASSIFIED--><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                xmlns:saxon="http://saxon.sf.net/"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:schold="http://www.ascc.net/xml/schematron"
                xmlns:iso="http://purl.oclc.org/dsdl/schematron"
                xmlns:xhtml="http://www.w3.org/1999/xhtml"
                xmlns:xlink="http://www.w3.org/1999/xlink"
                xmlns:ism="urn:us:gov:ic:ism"
                xmlns:irm="urn:us:gov:ic:irm"
                xmlns:arh="urn:us:gov:ic:arh"
                xmlns:tdf="urn:us:gov:ic:tdf"
                xmlns:domex="urn:us:mil:ces:metadata:domex"
                xmlns:ddms="urn:us:mil:ces:metadata:ddms:5"
                xmlns:cve="urn:us:gov:ic:cve"
                version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->
<xsl:param name="archiveDirParameter"/>
   <xsl:param name="archiveNameParameter"/>
   <xsl:param name="fileNameParameter"/>
   <xsl:param name="fileDirParameter"/>
   <xsl:variable name="document-uri">
      <xsl:value-of select="document-uri(/)"/>
   </xsl:variable>

   <!--PHASES-->


<!--PROLOG-->
<xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
               method="xml"
               omit-xml-declaration="no"
               standalone="yes"
               indent="yes"/>

   <!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path">
      <xsl:apply-templates select="." mode="schematron-get-full-path"/>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">
            <xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>*:</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>[namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:variable name="preceding"
                    select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+ $preceding"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:choose>
         <xsl:when test="namespace-uri()=''">@<xsl:value-of select="name()"/>
         </xsl:when>
         <xsl:otherwise>
            <xsl:text>@*[local-name()='</xsl:text>
            <xsl:value-of select="local-name()"/>
            <xsl:text>' and namespace-uri()='</xsl:text>
            <xsl:value-of select="namespace-uri()"/>
            <xsl:text>']</xsl:text>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>
   <!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <xsl:for-each select="ancestor-or-self::*">
         <xsl:text>/</xsl:text>
         <xsl:value-of select="name(.)"/>
         <xsl:if test="parent::*">
            <xsl:text>[</xsl:text>
            <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <xsl:text>]</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:if test="not(self::*)">
         <xsl:text/>/@<xsl:value-of select="name(.)"/>
      </xsl:if>
   </xsl:template>

   <!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/>
   <xsl:template match="text()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </xsl:template>
   <xsl:template match="comment()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </xsl:template>
   <xsl:template match="processing-instruction()" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-from-path">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:value-of select="concat('.@', name())"/>
   </xsl:template>
   <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <xsl:text>.</xsl:text>
      <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </xsl:template>

   <!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template>
   <xsl:template match="*" mode="generate-id-2" priority="2">
      <xsl:text>U</xsl:text>
      <xsl:number level="multiple" count="*"/>
   </xsl:template>
   <xsl:template match="node()" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>n</xsl:text>
      <xsl:number count="node()"/>
   </xsl:template>
   <xsl:template match="@*" mode="generate-id-2">
      <xsl:text>U.</xsl:text>
      <xsl:number level="multiple" count="*"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="string-length(local-name(.))"/>
      <xsl:text>_</xsl:text>
      <xsl:value-of select="translate(name(),':','.')"/>
   </xsl:template>
   <!--Strip characters--><xsl:template match="text()" priority="-1"/>

   <!--SCHEMA SETUP-->
<xsl:template match="/">
      <svrl:schematron-output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" title="" schemaVersion="">
         <xsl:comment>
            <xsl:value-of select="$archiveDirParameter"/>   
		 <xsl:value-of select="$archiveNameParameter"/>  
		 <xsl:value-of select="$fileNameParameter"/>  
		 <xsl:value-of select="$fileDirParameter"/>
         </xsl:comment>
         <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/1999/xlink" prefix="xlink"/>
         <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:ism" prefix="ism"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:irm" prefix="irm"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:arh" prefix="arh"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:tdf" prefix="tdf"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:mil:ces:metadata:domex" prefix="domex"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:mil:ces:metadata:ddms:5" prefix="ddms"/>
         <svrl:ns-prefix-in-attribute-values uri="urn:us:gov:ic:cve" prefix="cve"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">DOMEX-ID-00001</xsl:attribute>
            <xsl:attribute name="name">DOMEX-ID-00001</xsl:attribute>
            <svrl:text>
        [DOMEX-ID-00001][Error] The @ism:DESVersion is less than the minimum version 
        allowed: 12. 
        
        Human Readable: The ism version imported by DOMEX must be greater than or equal to 12.
    </svrl:text>
            <svrl:text>
        For all elements that contain @ism:DESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 12.  
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M9"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">DOMEX-ID-00002</xsl:attribute>
            <xsl:attribute name="name">DOMEX-ID-00002</xsl:attribute>
            <svrl:text>
        [DOMEX-ID-00002][Error]
        If a TrustedDataObject element contains an assertion with a DOMEX structured statement, 
        it must also contain an assertion with a DDMS structured statement. 
        
        Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain a DDMS assertion.  
    </svrl:text>
            <svrl:text>
        If a TDO has a DOMEX assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of domex:acquisition, verify that it also contains an DDMS assertion, verified by checking if
        it has a ddms:StructuredStatement element with a child of ddms:resource.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M10"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">DOMEX-ID-00003</xsl:attribute>
            <xsl:attribute name="name">DOMEX-ID-00003</xsl:attribute>
            <svrl:text>
        [DOMEX-ID-00003][Error] String length constraint violation - (element) 
        
        Human Readable: String length constraint violation - (element).
    </svrl:text>
            <svrl:text>
        Checks string lengths for selected DOMEX elements in the DDMS assertion.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M11"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">DOMEX-ID-00004</xsl:attribute>
            <xsl:attribute name="name">DOMEX-ID-00004</xsl:attribute>
            <svrl:text>
        [DOMEX-ID-00004][Error]
        If a TrustedDataObject element contains a DOMEX assertion, 
        it must also contain an assertion with an IRM structured statement. 
        
        Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain an IRM assertion.  
    </svrl:text>
            <svrl:text>
        If a TDO has a DOMEX assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of domex:acquisition, verify that it also contains an IRM assertion, verified by checking if
        it has a tdf:Assertion/tdf:StructuredStatement element with a child of irm:ICResourceMetadataPackage.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M12"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">DOMEX-ID-00005</xsl:attribute>
            <xsl:attribute name="name">DOMEX-ID-00005</xsl:attribute>
            <svrl:text>
        [DOMEX-ID-00005][Error]
        Invalid GENC code. 
        
        Human Readable: Invalid GENC code.  
    </svrl:text>
            <svrl:text>
        Invokes GENC AllowableGencValues abstract pattern to validate GENC country code.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M13"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">DOMEX-ID-00006</xsl:attribute>
            <xsl:attribute name="name">DOMEX-ID-00006</xsl:attribute>
            <svrl:text>
        [DOMEX-ID-00006][Error]
        Invalid sub-agency code. 
        
        Human Readable: Invalid sub-agency code.  
    </svrl:text>
            <svrl:text>
        Given a primary agency, validate the sub-agency.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M14"/>
         <svrl:active-pattern>
            <xsl:attribute name="document">
               <xsl:value-of select="document-uri(/)"/>
            </xsl:attribute>
            <xsl:attribute name="id">DOMEX-ID-00007</xsl:attribute>
            <xsl:attribute name="name">DOMEX-ID-00007</xsl:attribute>
            <svrl:text>
        [DOMEX-ID-00007][Error]
        Invalid sub-activiy specified. 
        
        Human Readable: Invalid sub-activiy specified.  
    </svrl:text>
            <svrl:text>
        Given a primary activity, validate the sub-activity.
    </svrl:text>
            <xsl:apply-templates/>
         </svrl:active-pattern>
         <xsl:apply-templates select="/" mode="M15"/>
      </svrl:schematron-output>
   </xsl:template>

   <!--SCHEMATRON PATTERNS-->


<!--PATTERN DOMEX-ID-00001-->


	<!--RULE -->
<xsl:template match="*[@ism:DESVersion]" priority="1000" mode="M9">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@ism:DESVersion]"/>
      <xsl:variable name="version"
                    select="number(if (contains(@ism:DESVersion,'-')) then substring-before(@ism:DESVersion,'-') else @ism:DESVersion)"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="$version &gt;= 12"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$version &gt;= 12">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [DOMEX-ID-00001][Error] The @ism:DESVersion is less than the minimum version 
            allowed: 12. 
            
            Human Readable: The ism version imported by DOMEX must be greater than or equal to 12. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M9"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M9"/>
   <xsl:template match="@*|node()" priority="-2" mode="M9">
      <xsl:apply-templates select="*" mode="M9"/>
   </xsl:template>

   <!--PATTERN DOMEX-ID-00002-->


	<!--RULE -->
<xsl:template match="tdf:TrustedDataObject//*[namespace-uri()='urn:us:mil:ces:metadata:domex']"
                 priority="1000"
                 mode="M10">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="tdf:TrustedDataObject//*[namespace-uri()='urn:us:mil:ces:metadata:domex']"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="//ddms:resource"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="//ddms:resource">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [DOMEX-ID-00002][Error]
            If tdf:TrustedDataObject contains an assertion with a DOMEX structured statement, 
            it must also contain an assertion with a DDMS structured statement. 
            
            Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain a DDMS assertion. 
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M10"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M10"/>
   <xsl:template match="@*|node()" priority="-2" mode="M10">
      <xsl:apply-templates select="*" mode="M10"/>
   </xsl:template>

   <!--PATTERN DOMEX-ID-00003-->


	<!--RULE -->
<xsl:template match="ddms:description" priority="1000" mode="M11">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="ddms:description"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="string-length(text()) &lt;= 4000"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="string-length(text()) &lt;= 4000">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [DOMEX-ID-00003][Error] String length constraint violation - (ddms:description)
            
            Human Readable: String length constraint violation - (ddms:description)
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M11"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M11"/>
   <xsl:template match="@*|node()" priority="-2" mode="M11">
      <xsl:apply-templates select="*" mode="M11"/>
   </xsl:template>

   <!--PATTERN DOMEX-ID-00004-->


	<!--RULE -->
<xsl:template match="//tdf:TrustedDataObject[tdf:Assertion/tdf:StructuredStatement/domex:acquisition]"
                 priority="1000"
                 mode="M12">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                       context="//tdf:TrustedDataObject[tdf:Assertion/tdf:StructuredStatement/domex:acquisition]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="tdf:Assertion/tdf:StructuredStatement/irm:ICResourceMetadataPackage"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="tdf:Assertion/tdf:StructuredStatement/irm:ICResourceMetadataPackage">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [DOMEX-ID-00004][Error]
            If a TrustedDataObject element contains a DOMEX assertion, 
            it must also contain an assertion with an IRM structured statement. 
            
            Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain an IRM assertion.  
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M12"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M12"/>
   <xsl:template match="@*|node()" priority="-2" mode="M12">
      <xsl:apply-templates select="*" mode="M12"/>
   </xsl:template>

   <!--PATTERN DOMEX-ID-00005-->


	<!--RULE -->
<xsl:template match="*[@ddms:codespace]" priority="1000" mode="M13">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[@ddms:codespace]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="some $term in document(concat('../../CVE/IC-GENC/CVEnum',upper-case(substring(./@ddms:codespace,1,1)),translate(substring(./@ddms:codespace,2),':',''),'.xml'))//cve:CVE/cve:Enumeration/cve:Term/cve:Value              satisfies $term=./@ddms:code"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $term in document(concat('../../CVE/IC-GENC/CVEnum',upper-case(substring(./@ddms:codespace,1,1)),translate(substring(./@ddms:codespace,2),':',''),'.xml'))//cve:CVE/cve:Enumeration/cve:Term/cve:Value satisfies $term=./@ddms:code">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [DOMEX-ID-00005] [Error] Invalid GENC code.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M13"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M13"/>
   <xsl:template match="@*|node()" priority="-2" mode="M13">
      <xsl:apply-templates select="*" mode="M13"/>
   </xsl:template>

   <!--PATTERN DOMEX-ID-00006-->


	<!--RULE -->
<xsl:template match="*[./domex:subAgency]" priority="1000" mode="M14">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="*[./domex:subAgency]"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="some $term in document(concat('../../CVE/DOMEX/CVEnumDOMEXAgency',./domex:primaryAgency,'.xml'))//cve:CVE/cve:Enumeration/cve:Term/cve:Value              satisfies $term=./domex:subAgency"/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $term in document(concat('../../CVE/DOMEX/CVEnumDOMEXAgency',./domex:primaryAgency,'.xml'))//cve:CVE/cve:Enumeration/cve:Term/cve:Value satisfies $term=./domex:subAgency">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [DOMEX-ID-00006] [Error] Invalid sub-agency code.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M14"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M14"/>
   <xsl:template match="@*|node()" priority="-2" mode="M14">
      <xsl:apply-templates select="*" mode="M14"/>
   </xsl:template>

   <!--PATTERN DOMEX-ID-00007-->


	<!--RULE -->
<xsl:template match="domex:subActivity" priority="1000" mode="M15">
      <svrl:fired-rule xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="domex:subActivity"/>

		    <!--ASSERT -->
<xsl:choose>
         <xsl:when test="some $term in document(concat('../../CVE/DOMEX/CVEnumDOMEXActivity',translate(../domex:primaryActivity,' ,',''),'.xml'))//cve:CVE/cve:Enumeration/cve:Term/cve:Value satisfies $term=."/>
         <xsl:otherwise>
            <svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
                                test="some $term in document(concat('../../CVE/DOMEX/CVEnumDOMEXActivity',translate(../domex:primaryActivity,' ,',''),'.xml'))//cve:CVE/cve:Enumeration/cve:Term/cve:Value satisfies $term=.">
               <xsl:attribute name="flag">error</xsl:attribute>
               <xsl:attribute name="location">
                  <xsl:apply-templates select="." mode="schematron-select-full-path"/>
               </xsl:attribute>
               <svrl:text>
            [DOMEX-ID-00007] [Error] Invalid sub-activity specified.
        </svrl:text>
            </svrl:failed-assert>
         </xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates select="*" mode="M15"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M15"/>
   <xsl:template match="@*|node()" priority="-2" mode="M15">
      <xsl:apply-templates select="*" mode="M15"/>
   </xsl:template>
</xsl:stylesheet>
<!--UNCLASSIFIED-->
