<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             id="IRM-ID-00019"
             is-a="CompareDateTimes">
    <sch:p class="ruleText">
        [IRM-ID-00019][Warning] @ddms:approvedOn must not be later than @ddms:created and @ddms:posted. 
        
        Human Readable: The date held in the approvedOn attribute must not be later then 
                        the dates held by either the created or posted attributes.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule uses an abstract pattern to consolidate logic.
        It compares the date contained within the param $primaryDate to each date 
        contained within the param $secondaryDateList (using the comparison operator 
        contained in param $operator) and makes sure that each comparison returns 
        true. Implementation details for the abstract pattern can be found in the 
        abstract pattern definition file located in the Lib directory.
    </sch:p>

    <sch:param name="ruleText"
              value="'         [IRM-ID-00019][Warning] @ddms:approvedOn must not be later than @ddms:created and @ddms:posted.         '"/>
    
    <sch:param name="codeDesc"
              value="'         This rule uses an abstract pattern to consolidate logic.         It compares the date contained within the param $primaryDate to each date          contained within the param $secondaryDateList (using the comparison operator          contained in param $operator) and makes sure that each comparison returns          true. Implementation details for the abstract pattern can be found in the          abstract pattern definition file located in the Lib directory.         '"/>
    
    <sch:param name="context"
              value="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]//tdf:StructuredStatement/ddms:resource//*[@ddms:approvedOn]"/>
    <sch:param name="primaryDate" value="@ddms:approvedOn"/>
    <sch:param name="operator" value="'&lt;='"/>
    <sch:param name="secondaryDateList"
              value="(@ddms:created,                                                 @ddms:posted)"/>
    <sch:param name="flag" value="'error'"/>
</sch:pattern>
