<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00029">
    <sch:p class="ruleText">
        [IRM-ID-00029][Error]
        If element ddms:geospatialCoverage has attribute @ddms:precedence with a value of [Secondary],
        there must be at least one sibling element ddms:geospatialCoverage for which attribute 
        @ddms:precedence has a value of [Primary].
        
        Human Readable: If a secondary country code is provided, there must also be a primary country code. 
    </sch:p>
    
    <sch:p class="codeDesc">
        If there is an element geospatialCoverage with attribute precedence
        specified with a value of [Secondary], then we make sure that there
        is at least one sibling geospatialCoverage element with attribute precedence
        specified with a value of [Primary].
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:geospatialCoverage[@ddms:precedence='Secondary']">
        <sch:assert test="../ddms:geospatialCoverage[@ddms:precedence='Primary']"
                  flag="error">
            [IRM-ID-00029][Error]
            If element ddms:geospatialCoverage has attribute @ddms:precedence with a value of [Secondary],
            there must be at least one sibling element ddms:geospatialCoverage for which attribute 
            @ddms:precedence has a value of [Primary].
            
            Human Readable: If a secondary country code is provided, there must also be a primary country code.
        </sch:assert>        
    </sch:rule>
</sch:pattern>
