<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             is-a="ValidateValueExistenceInList"
             id="IRM-ID-00051">
    <sch:p class="ruleText">
        [IRM-ID-00051][Error]
        For element ddms:productionsMetrics, attribute @ddms:coverage must 
        be in CVEnumPMCoverage.xml.
        
        Human Readable: Production Metric Coverage values must be in the  
        CVEnumPMCoverage CVE.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (IRM_XML.sch), which reads 
        values from a specific CVE file.
    </sch:p>
    
    <sch:param name="ruleText"
        value="'         [IRM-ID-00051][Error]         For element ddms:productionsMetrics, attribute @ddms:coverage must          be in CVEnumPMCoverage.xml.                  Human Readable: Production Metric Coverage values must be in the           CVEnumPMCoverage CVE.         '"/>
    
    <sch:param name="codeDesc"
              value="'         This rule uses an abstract pattern to consolidate logic. It checks that the         value in parameter $searchTerm is contained in the parameter $list. The parameter         $searchTerm is relative in scope to the parameter $context. The value for the parameter          $list is a variable defined in the main document (IRM_XML.sch), which reads          values from a specific CVE file.         '"/>

    <sch:param name="context"
              value="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:productionMetric[@ddms:coverage]"/>
    <sch:param name="searchTerm" value="@ddms:coverage"/>
    <sch:param name="list" value="$productionMetricsCoverageList"/>
    <sch:param name="errMsg"
        value="'         [IRM-ID-00051][Error]         For element ddms:productionsMetrics, attribute @ddms:coverage must          be in CVEnumPMCoverage.xml.                  Human Readable: Production Metric Coverage values must be in the           CVEnumPMCoverage CVE.         '"/>
</sch:pattern>
