<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00076">
    <sch:p class="ruleText">
        [IRM-ID-00076][Error]
        If the ddms:acquiredOn element exists, at least one of its child 
        elements ddms:description, ddms:approximableDate, or ddms:searchableDate must be present.
        
        Human Readable: The acquiredOn element must have at least one of the following child elements: description, 
        approximableDate and searchableDate.
    </sch:p>

    <sch:p class="codeDesc"> 
        For element ddms:acquiredOn, we make sure that one or more of the child
        elements ddms:description, ddms:approximableDate,
        ddms:searchableDate/ddms:start, or ddms:searchableDate/ddms:end 
        is specified with non-whitespace content. 
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:acquiredOn">
        <sch:assert test="             normalize-space(string(ddms:description)) or             normalize-space(string(ddms:approximableDate)) or             normalize-space(string(ddms:searchableDate/ddms:start)) or             normalize-space(string(ddms:searchableDate/ddms:end))              "
                  flag="error">
            [IRM-ID-00076][Error]
            If the ddms:acquiredOn element exists, at least one of its child 
            elements ddms:description, ddms:approximableDate, or ddms:searchableDate must be present.
            
            Human Readable: The acquiredOn element must have at least one of the following child elements: description, 
            approximableDate and searchableDate.
        </sch:assert>
    </sch:rule>
</sch:pattern>
