<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00077">
    <sch:p class="ruleText">
        [IRM-ID-00077][Error]
        For element ddms:person
        at least one of the following child elements must have non-whitespace content: 
        ddms:surname, ddms:userID, ddms:name, ddms:affiliation, ddms:postalAddress, ddms:phone 
        ddms:email.
        
        Human Readable:
    </sch:p>
    
    <sch:p class="codeDesc">
        This pattern uses an abstract rule to consolidate logic. It
        normalizes the space of the value of the specified child elements
        and makes sure that the length of the resulting string is 
        greater than zero, which indicates non-whitespace content.
        
        Element ddms:postalAddress cannot contain text content, so we count the 
        number of its child elements that contain non-white space and make sure
        that the count is great than 0.
        
        The abstract rule is extended once for each required element in 
        rule IRM_ID_00077.
    </sch:p>

    <!-- Abstract rule, which asserts that at least one of the listed child elements has non-whitespace content -->
    <sch:rule abstract="true" id="abs.rule00077">
        <sch:assert test="ddms:surname[normalize-space(string(text()))]                  or ddms:userID[normalize-space(string(text()))]                  or ddms:name[normalize-space(string(text()))]                  or ddms:affiliation[normalize-space(string(text()))]                  or ddms:phone[normalize-space(string(text()))]                  or ddms:email[normalize-space(string(text()))]                  or (some $token in ancestor::ddms:postalAddress/*/text() satisfies                      normalize-space(string($token)))             "
                  flag="error">
            [IRM-ID-00077][Error]
            For element ddms:person
            at least one of the following child elements must have non-whitespace content: 
            ddms:surname, ddms:userID, ddms:name, ddms:affiliation, ddms:postalAddress, ddms:phone 
            ddms:email.
            
            Human Readable:
        </sch:assert>
    </sch:rule>
    
    <!-- Begin using abstract rule to check required elements -->
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:person">
        <sch:extends rule="abs.rule00077"/>
    </sch:rule>
    
</sch:pattern>
