<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00078">
	  <sch:p class="ruleText">
		[IRM-ID-00078][Error] For elements ddms:acquiredOn and ddms:temporalCoverage with 
		child element name [infoCutoff], the permissible values for the year range are 1901 
		through the current year for elements ddms:approximableDate, ddms:start, and ddms:end.	
		
		Human Readable: If elements acquiredOn and temporalCoverage have a child element infoCutoff, then the approximableDate, 
		start and end elements must have a year value between 1901 and the current year.
	</sch:p>

	  <sch:p class="codeDesc">
		This pattern uses an abstract rule to consolidate logic.
		It makes sure that the date contained within $dateValue 
		has a year value within the range $minYear and $maxYear,
		inclusive. The abstract rule is extended once for each 
		element required in rule IRM-ID-00078.
	</sch:p>
	
	  <sch:rule abstract="true" id="abs.rule00078">
		    <sch:let name="minYear" value="1901"/>
		    <sch:let name="maxYear" value="$currentYear"/>
		    <sch:let name="dateValue" value="."/>
		    <sch:let name="errMsg"
               value="'    [PUBS-ID-00078][Error] For elements ddms:acquiredOn and ddms:temporalCoverage with     child element name [infoCutoff], the permissible values for the year range are 1901     through the current year for elements ddms:approximableDate, ddms:start, and ddms:end.      '"/>
		    <sch:extends rule="abs.dateYearRangeRule"/>
	  </sch:rule>
	
	  <!-- Begin using abstract rule to check required elements -->
	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableStart/ddms:searchableDate/ddms:start">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>

	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableStart/ddms:searchableDate/ddms:end">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>

	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:start">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>
	
	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:approximableEnd/ddms:searchableDate/ddms:end">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>
	
	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:start">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>
	
	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:temporalCoverage[ddms:name='infoCutOff']/ddms:end">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>
	
	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:acquiredOn/ddms:approximableDate">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>

	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:acquiredOn/ddms:searchableDate/ddms:start">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>

	  <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:acquiredOn/ddms:searchableDate/ddms:end">
		    <sch:extends rule="abs.rule00078"/>
	  </sch:rule>
</sch:pattern>
