<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00079">
    <sch:p class="ruleText">
        [IRM-ID-00079][Error] The @icid:DESVersion is less than the minimum version 
        allowed: 1. 
        
        Human Readable: The IC-ID version imported by IRM must be greater than or equal to 1. 
    </sch:p>
    <sch:p class="codeDesc">
        For all irm:ICResourceMetadataPackage elements that contain @icid:DESVersion, we 
        verify that the version is greater than or equal to the minimum allowed version: 1.  
    </sch:p>
    <sch:rule context="irm:ICResourceMetadataPackage[@icid:DESVersion]">
        <sch:let name="version" value="number(if (contains(@icid:DESVersion,'-')) then substring-before(@icid:DESVersion,'-') else @icid:DESVersion)"/>
        <sch:assert test="$version &gt;= 1" flag="error">
            [IRM-ID-00079][Error] The @icid:DESVersion is less than the minimum version 
            allowed: 1. 
            
            Human Readable: The IC-ID version imported by IRM must be greater than or equal to 1.
        </sch:assert>
    </sch:rule>
</sch:pattern>
