<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00080">
    <sch:p class="ruleText">
        [IRM-ID-00080][Error] The @usagency:CESVersion is less than the minimum version 
        allowed: 201502. 
        
        Human Readable: The US Agency version imported by IRM must be greater than or equal to 2015-FEB. 
    </sch:p>
    <sch:p class="codeDesc">
        For all irm:ICResourceMetadataPackage elements that contain @usagency:CESVersion, we 
        verify that the version is greater than or equal to the minimum allowed version: 201502.  
    </sch:p>
    <sch:rule context="irm:ICResourceMetadataPackage[@usagency:CESVersion]">
        <sch:let name="version" value="number(if (contains(@usagency:CESVersion,'-')) then substring-before(@usagency:CESVersion,'-') else @usagency:CESVersion)"/>
        <sch:assert test="$version &gt;= 201502" flag="error">
            [IRM-ID-00080][Error] The @usagency:CESVersion is less than the minimum version 
            allowed: 201502. 
            
            Human Readable: The US Agency version imported by IRM must be greater than or equal to 2015-FEB.
        </sch:assert>
    </sch:rule>
</sch:pattern>
