<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00085">
    <sch:p class="ruleText">
        [IRM-ID-00085][Error] The @pm:CESVersion is less than the minimum version allowed: 201511. 
        
        Human Readable: The PM version imported by IRM must be greater than or equal to 2015-NOV. 
    </sch:p>
    
    <sch:p class="codeDesc">For all elements that contain @pm:CESVersion, this rule verifies that the version
        is greater than or equal to the minimum allowed version: 201511. </sch:p>
    
    <sch:rule context="*[@pm:CESVersion]">
        <sch:let name="version" value="number(if (contains(@pm:CESVersion,'-')) then substring-before(@pm:CESVersion,'-') else @pm:CESVersion)"/>
        <sch:assert test="$version &gt;= 201511" flag="error">
            [IRM-ID-00085][Error] The @pm:CESVersion is less than the minimum version 
            allowed: 201511. 
            
            Human Readable: The PM version imported by IRM must be greater than or equal to 2015-NOV. 
        </sch:assert>
    </sch:rule>
</sch:pattern>