<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00090">
    <sch:p class="ruleText">
        [IRM-ID-00090][Error] If subDivisionCode codespace is GENC codespace, then value must be in the GENC subDivisionCode cve.
    </sch:p>
    
    <sch:p class="codeDesc">
        If subDivisionCode codespace is GENC codespace, then value must be in the GENC subDivisionCode cve.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:geospatialCoverage//ddms:subDivisionCode">
        <sch:let name="isGENCSubDivision" value="matches(normalize-space(./@ddms:codespace), '^as:GENC:6:(ed3|3-[1-9][0-9]*)$')" />
        <sch:assert test="not($isGENCSubDivision) or (some $token in $gencSubDivisionList satisfies $token = normalize-space(./@ddms:code))" flag="error">
            [IRM-ID-00090][Error] If subDivisionCode codespace is GENC codespace, then value must be in the GENC subDivisionCode cve.
        </sch:assert>
    </sch:rule>
</sch:pattern>