<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00095">
    <sch:p class="ruleText">
        [IRM-ID-00095][Error] If present, at least one ddms:subDivisionCode in a 
        ddms:geographicIdentifier must be a GENC ED3 codespace: ^as:GENC:6:(ed3|3-[1-9][0-9]*)$
    </sch:p>
    
    <sch:p class="codeDesc">
        If present, at least one ddms:subDivisionCode in a ddms:geographicIdentifier must be a GENC ED3 codespace: ^as:GENC:6:(ed3|3-[1-9][0-9]*)$
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:geospatialCoverage">
        <sch:let name="hasSubDivisions" value="count(ddms:geographicIdentifier/ddms:subDivisionCode) > 0" />
        <sch:assert test="not($hasSubDivisions) or (some $subDivisionCode in ddms:geographicIdentifier/ddms:subDivisionCode satisfies matches(normalize-space($subDivisionCode/@ddms:codespace), '^as:GENC:6:(ed3|3-[1-9][0-9]*)$'))" flag="error">
            [IRM-ID-00095][Error] ddms:subDivisionCode must be a GENC ED3 codespace: ^as:GENC:6:(ed3|3-[1-9][0-9]*)$
        </sch:assert>
    </sch:rule>
</sch:pattern>