<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00100">
    <sch:p class="ruleText">
        [IRM-ID-00100][Error] If a ddms:resource element is present in a tdf:StructuredStatement within a tdf:Assertion, then the tdf:Assertion must also contain a tdf:StatementMetadata element.
    </sch:p>
    
    <sch:p class="codeDesc">
        If a ddms:resource element is present in a tdf:StructuredStatement within a tdf:Assertion, then the tdf:Assertion must also contain a tdf:StatementMetadata element.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource">
        <sch:let name="hasStatementMetadata" value="count(../preceding-sibling::tdf:StatementMetadata) > 0" />
        <sch:assert test="$hasStatementMetadata" flag="error">
            [IRM-ID-00100][Error] tdf:Assertion must contain tdf:StatementMetadata when tdf:StructuredStatement contains ddms:resource.
        </sch:assert>
    </sch:rule>
</sch:pattern>