<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00101">
    <sch:p class="ruleText">
        [IRM-ID-00101][Error]  If element ddms:organization has attribute
        @ddms:acronym specified and the acronym begins with "USA:", then the 
        organization value must be defined by the USAgency CES. 
        
        Human Readable:
        Utilized agency acronyms beginning with "USA:" must be defined in the USAgency CES.
    </sch:p>
    
    <sch:p class="codeDesc">
        For ddms:organization with @ddms:acronym specified, if @ddms:acronym begins with 'USA:',
        then the country value must be defined by the USAgency CES.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:organization[@ddms:acronym]">

        <sch:assert test="if (starts-with(normalize-space(@ddms:acronym),'USA:')) then 
                            (some $token in $USAgencyAcronymList satisfies $token = normalize-space(substring-after( @ddms:acronym, ':')))
                          else 
                              true() " 
            flag="error">
            [IRM-ID-00101][Error] If element ddms:organization has attribute
            @ddms:acronym specified and the acronym begins with "USA:", then the 
            organization value must be defined by the USAgency CES. />
         </sch:assert>
     </sch:rule>
</sch:pattern>
