<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00102">
    <sch:p class="ruleText">
        [IRM-ID-00102][Error]  If element ddms:organization has attribute
        @ddms:acronym specified and the acronym contains a country component that is 
        not "USA:", then the country value must be defined by the GENC CES.  
        
        Human Readable:
        Utilized agency acronyms with a country component must have the country defined in the GENC CES.
    </sch:p>
    <sch:p class="codeDesc">
        For ddms:organization with @ddms:acronym specified, if @ddms:acronym contains a country component which is not 'USA',
        then the country value must be defined by the GENC CES.
    </sch:p>
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:organization[@ddms:acronym]">
        <sch:let name="CC" value="tokenize(normalize-space(@ddms:acronym),':')[1]"  />
        <sch:assert test="if ((count(tokenize(normalize-space(@ddms:acronym),':')) > 1) and not (matches( $CC, 'USA'))) then 
                              (some $token in $gencCountryCodeList satisfies $token = normalize-space($CC))
                          else 
                              true() " 
            flag="error">
            [IRM-ID-00102][Error]  If element ddms:organization has attribute
            @ddms:acronym specified and the acronym contains a country component that is 
            not "USA:", then the country value must be defined by the GENC CES.  />
         </sch:assert>
    </sch:rule>
</sch:pattern>
