<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00104">
    
    <sch:p class="ruleText">
        [IRM-ID-00104][Error] If element ddms:organization has attribute
        @ddms:acronym specified and @ddms:acronym has a country prefix, 
        then the agency suffix after the colon delimiter must be of type NmToken. 
    </sch:p>
    
    <sch:p class="codeDesc">
        For ddms:organization that have @ddms:acronym with a country prefix, the agency suffix 
        after the colon delimiter must be of type NmToken.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:organization[@ddms:acronym]">
        <sch:assert test="if (count(tokenize(normalize-space(@ddms:acronym),':')) > 1) 
            then util:meetsType(substring-after(@ddms:acronym,':'), $NmTokenPattern)
            else true()"
            flag="error">
            [IRM-ID-00104][Error] If element ddms:organization has attribute
            @ddms:acronym specified and @ddms:acronym has a country prefix, 
            then the agency suffix after the colon delimiter must be of type NmToken.  
        </sch:assert>
    </sch:rule>
    
</sch:pattern>